# frozen_string_literal: true
name 'rabbitmq'
maintainer 'Chef, Inc. and contributors'
maintainer_email 'mklishin@pivotal.io'
license 'Apache-2.0'
description 'Installs and configures RabbitMQ server'
version '5.6.2'
recipe 'rabbitmq', 'Install and configure RabbitMQ'
recipe 'rabbitmq::mgmt_console', 'Sets up RabbitMQ management UI'
recipe 'rabbitmq::systemd_limits', 'Sets up kernel limits (e.g. nofile) for RabbitMQ via systemd'
recipe 'rabbitmq::cluster', 'Set up RabbitMQ clustering.'
recipe 'rabbitmq::plugin_management', 'Manage plugins with node attributes'
recipe 'rabbitmq::virtualhost_management', 'Manage virtualhost with node attributes'
recipe 'rabbitmq::user_management', 'Manage users with node attributes'

issues_url 'https://github.com/rabbitmq/chef-cookbook/issues'
source_url 'https://github.com/rabbitmq/chef-cookbook'

chef_version '>= 12.0'

depends 'erlang'
depends 'yum-epel'
depends 'yum-erlang_solutions'
depends 'dpkg_autostart'
depends 'logrotate'

supports 'centos', '>= 7.0'
supports 'debian', '>= 8.0'
supports 'opensuse'
supports 'opensuseleap'
supports 'oracle'
supports 'redhat'
supports 'scientific'
supports 'smartos'
supports 'suse'
supports 'ubuntu', '>= 14.04'
